> ## Documentation Index
> Fetch the complete documentation index at: https://blank.build/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List presales

> Lists public presale state newest-first.



## OpenAPI

````yaml /api-reference/blank-api-v2.yaml get /presales
openapi: 3.1.1
info:
  description: Production developer API for Blank automation-grade product capabilities.
  title: Blank API
  version: 2.0.0
servers:
  - description: Production
    url: https://api.blank.build/api/v2
security: []
tags:
  - description: Platform and Solana integration metadata.
    name: System
  - description: Current API-key identity.
    name: Identity
  - description: Token resources and management.
    name: Tokens
  - description: Price, trade, candle, liquidity, and holder data.
    name: Market data
  - description: Launch resources and transaction intents.
    name: Launches
  - description: Quotes and transaction intents.
    name: Trading
  - description: Pools, positions, and transaction intents.
    name: Staking
  - description: Fee state, distributions, and claim intents.
    name: Fees
  - description: Presale resources and participant actions.
    name: Presales
  - description: Prediction rounds, entries, and standings.
    name: Predictions
  - description: Asynchronous audience exports.
    name: Audience
  - description: Owned asynchronous operation status.
    name: Operations
  - description: Outbound webhook configuration and deliveries.
    name: Webhooks
paths:
  /presales:
    get:
      tags:
        - Presales
      summary: List presales
      description: Lists public presale state newest-first.
      operationId: listPresales
      parameters:
        - in: query
          name: cursor
          required: false
          schema:
            example: eyJ2IjoxLCJzb3J0IjpbIjIwMjYtMDgtMDlUMDA6MDA6MDBaIl19
            maxLength: 2048
            minLength: 16
            pattern: ^[A-Za-z0-9_-]+$
            type: string
        - in: query
          name: limit
          required: false
          schema:
            default: 50
            pattern: ^[1-9][0-9]*$
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PresaleCollection'
          description: Presale page.
        '304':
          description: Not modified. The current ETag matched If-None-Match.
        '400':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ProblemDetails'
                  - properties:
                      code:
                        enum:
                          - cursor_invalid
                        type: string
                      status:
                        enum:
                          - 400
                        type: number
                      title:
                        enum:
                          - Invalid cursor
                        type: string
                      type:
                        enum:
                          - >-
                            https://blank.build/docs/reference/errors#cursor_invalid
                        type: string
                    type: object
          description: 'Problem response. Possible codes: cursor_invalid.'
          headers:
            Cache-Control:
              description: Error responses are private and never cached.
              required: true
              schema:
                description: Error responses are private and never cached.
                enum:
                  - private, no-store
                type: string
            Vary:
              description: The response varies by authorization context.
              required: true
              schema:
                description: The response varies by authorization context.
                enum:
                  - Authorization
                type: string
            X-Blank-Api-Version:
              description: Public API major version.
              required: true
              schema:
                description: Public API major version.
                enum:
                  - '2'
                type: string
            X-Duration-Ms:
              description: Server-side request duration in milliseconds.
              required: true
              schema:
                description: Server-side request duration in milliseconds.
                pattern: ^[0-9]+$
                type: string
            X-Request-Id:
              description: Request identifier matching Problem Details requestId.
              required: true
              schema:
                description: Request identifier matching Problem Details requestId.
                type: string
            traceparent:
              description: W3C trace context for correlation.
              required: true
              schema:
                description: W3C trace context for correlation.
                type: string
        '422':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ProblemDetails'
                  - properties:
                      code:
                        enum:
                          - validation_failed
                        type: string
                      status:
                        enum:
                          - 422
                        type: number
                      title:
                        enum:
                          - Validation failed
                        type: string
                      type:
                        enum:
                          - >-
                            https://blank.build/docs/reference/errors#validation_failed
                        type: string
                    type: object
          description: 'Problem response. Possible codes: validation_failed.'
          headers:
            Cache-Control:
              description: Error responses are private and never cached.
              required: true
              schema:
                description: Error responses are private and never cached.
                enum:
                  - private, no-store
                type: string
            Vary:
              description: The response varies by authorization context.
              required: true
              schema:
                description: The response varies by authorization context.
                enum:
                  - Authorization
                type: string
            X-Blank-Api-Version:
              description: Public API major version.
              required: true
              schema:
                description: Public API major version.
                enum:
                  - '2'
                type: string
            X-Duration-Ms:
              description: Server-side request duration in milliseconds.
              required: true
              schema:
                description: Server-side request duration in milliseconds.
                pattern: ^[0-9]+$
                type: string
            X-Request-Id:
              description: Request identifier matching Problem Details requestId.
              required: true
              schema:
                description: Request identifier matching Problem Details requestId.
                type: string
            traceparent:
              description: W3C trace context for correlation.
              required: true
              schema:
                description: W3C trace context for correlation.
                type: string
        '429':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ProblemDetails'
                  - properties:
                      code:
                        enum:
                          - rate_limit_exceeded
                        type: string
                      status:
                        enum:
                          - 429
                        type: number
                      title:
                        enum:
                          - Rate limit exceeded
                        type: string
                      type:
                        enum:
                          - >-
                            https://blank.build/docs/reference/errors#rate_limit_exceeded
                        type: string
                    type: object
          description: 'Problem response. Possible codes: rate_limit_exceeded.'
          headers:
            Cache-Control:
              description: Error responses are private and never cached.
              required: true
              schema:
                description: Error responses are private and never cached.
                enum:
                  - private, no-store
                type: string
            Retry-After:
              description: Minimum delay in seconds before a safe retry.
              required: true
              schema:
                description: Minimum delay in seconds before a safe retry.
                pattern: ^[0-9]+$
                type: string
            Vary:
              description: The response varies by authorization context.
              required: true
              schema:
                description: The response varies by authorization context.
                enum:
                  - Authorization
                type: string
            X-Blank-Api-Version:
              description: Public API major version.
              required: true
              schema:
                description: Public API major version.
                enum:
                  - '2'
                type: string
            X-Duration-Ms:
              description: Server-side request duration in milliseconds.
              required: true
              schema:
                description: Server-side request duration in milliseconds.
                pattern: ^[0-9]+$
                type: string
            X-Request-Id:
              description: Request identifier matching Problem Details requestId.
              required: true
              schema:
                description: Request identifier matching Problem Details requestId.
                type: string
            traceparent:
              description: W3C trace context for correlation.
              required: true
              schema:
                description: W3C trace context for correlation.
                type: string
        '500':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ProblemDetails'
                  - properties:
                      code:
                        enum:
                          - internal_error
                        type: string
                      status:
                        enum:
                          - 500
                        type: number
                      title:
                        enum:
                          - Internal server error
                        type: string
                      type:
                        enum:
                          - >-
                            https://blank.build/docs/reference/errors#internal_error
                        type: string
                    type: object
          description: 'Problem response. Possible codes: internal_error.'
          headers:
            Cache-Control:
              description: Error responses are private and never cached.
              required: true
              schema:
                description: Error responses are private and never cached.
                enum:
                  - private, no-store
                type: string
            Vary:
              description: The response varies by authorization context.
              required: true
              schema:
                description: The response varies by authorization context.
                enum:
                  - Authorization
                type: string
            X-Blank-Api-Version:
              description: Public API major version.
              required: true
              schema:
                description: Public API major version.
                enum:
                  - '2'
                type: string
            X-Duration-Ms:
              description: Server-side request duration in milliseconds.
              required: true
              schema:
                description: Server-side request duration in milliseconds.
                pattern: ^[0-9]+$
                type: string
            X-Request-Id:
              description: Request identifier matching Problem Details requestId.
              required: true
              schema:
                description: Request identifier matching Problem Details requestId.
                type: string
            traceparent:
              description: W3C trace context for correlation.
              required: true
              schema:
                description: W3C trace context for correlation.
                type: string
        '503':
          content:
            application/problem+json:
              schema:
                oneOf:
                  - allOf:
                      - $ref: '#/components/schemas/ProblemDetails'
                      - properties:
                          code:
                            enum:
                              - rate_limit_unavailable
                            type: string
                          status:
                            enum:
                              - 503
                            type: number
                          title:
                            enum:
                              - Rate limiting unavailable
                            type: string
                          type:
                            enum:
                              - >-
                                https://blank.build/docs/reference/errors#rate_limit_unavailable
                            type: string
                        type: object
                  - allOf:
                      - $ref: '#/components/schemas/ProblemDetails'
                      - properties:
                          code:
                            enum:
                              - api_dependency_unavailable
                            type: string
                          status:
                            enum:
                              - 503
                            type: number
                          title:
                            enum:
                              - API dependency unavailable
                            type: string
                          type:
                            enum:
                              - >-
                                https://blank.build/docs/reference/errors#api_dependency_unavailable
                            type: string
                        type: object
          description: >-
            Problem response. Possible codes: api_dependency_unavailable,
            rate_limit_unavailable.
          headers:
            Cache-Control:
              description: Error responses are private and never cached.
              required: true
              schema:
                description: Error responses are private and never cached.
                enum:
                  - private, no-store
                type: string
            Retry-After:
              description: Minimum delay in seconds before a safe retry.
              required: true
              schema:
                description: Minimum delay in seconds before a safe retry.
                pattern: ^[0-9]+$
                type: string
            Vary:
              description: The response varies by authorization context.
              required: true
              schema:
                description: The response varies by authorization context.
                enum:
                  - Authorization
                type: string
            X-Blank-Api-Version:
              description: Public API major version.
              required: true
              schema:
                description: Public API major version.
                enum:
                  - '2'
                type: string
            X-Duration-Ms:
              description: Server-side request duration in milliseconds.
              required: true
              schema:
                description: Server-side request duration in milliseconds.
                pattern: ^[0-9]+$
                type: string
            X-Request-Id:
              description: Request identifier matching Problem Details requestId.
              required: true
              schema:
                description: Request identifier matching Problem Details requestId.
                type: string
            traceparent:
              description: W3C trace context for correlation.
              required: true
              schema:
                description: W3C trace context for correlation.
                type: string
components:
  schemas:
    PresaleCollection:
      properties:
        data:
          items:
            $ref: '#/components/schemas/Presale'
          type: array
        page:
          $ref: '#/components/schemas/CursorPage'
      required:
        - data
        - page
      type: object
    ProblemDetails:
      properties:
        causes:
          items:
            $ref: '#/components/schemas/ProblemCause'
          maxItems: 20
          type: array
        code:
          enum:
            - invalid_api_key
            - insufficient_scope
            - not_found
            - method_not_allowed
            - precondition_required
            - precondition_invalid
            - validation_failed
            - malformed_json
            - unsupported_content_type
            - request_body_too_large
            - idempotency_key_invalid
            - idempotency_key_reused
            - idempotency_request_in_progress
            - precondition_failed
            - cursor_invalid
            - rate_limit_exceeded
            - rate_limit_unavailable
            - api_dependency_unavailable
            - internal_error
            - invalid_error_response
            - token_not_found
            - holder_stats_not_found
            - market_time_range_invalid
            - token_index_unavailable
            - market_data_unavailable
            - identity_unavailable
            - staking_pool_not_found
            - presale_not_found
            - presale_participation_not_found
            - manifest_unavailable
            - prediction_wallet_mismatch
            - prediction_authorization_invalid
            - prediction_intent_not_found
            - prediction_round_not_found
            - prediction_not_found
            - prediction_token_not_enabled
            - prediction_round_not_open
            - prediction_wallet_not_verified
            - prediction_username_required
            - prediction_insufficient_balance
            - prediction_already_submitted
            - prediction_intent_expired
            - prediction_intent_consumed
            - prediction_exact_values_locked
            - prediction_price_out_of_range
            - prediction_balance_unavailable
            - operation_not_found
            - transaction_intent_not_found
            - transaction_intent_not_prepared
            - transaction_intent_expired
            - transaction_intent_version_conflict
            - transaction_intent_tampered
            - transaction_intent_wrong_signer
            - transaction_intent_invalid_signature
            - webhook_endpoint_not_found
            - webhook_delivery_not_found
            - webhook_delivery_not_replayable
            - webhook_endpoint_limit_reached
            - webhook_delivery_replay_limit_reached
            - webhook_url_disallowed
          type: string
        context:
          additionalProperties:
            oneOf:
              - maxLength: 1024
                type: string
              - type: number
              - type: boolean
              - type: 'null'
          type: object
        detail:
          maxLength: 2000
          minLength: 1
          type: string
        errors:
          items:
            $ref: '#/components/schemas/ProblemFieldError'
          maxItems: 100
          type: array
        instance:
          maxLength: 2048
          minLength: 1
          type: string
        requestId:
          example: req_0123456789abcdef0123456789abcdef
          pattern: ^req_[0-9a-f]{32}$
          type: string
        status:
          maximum: 599
          minimum: 400
          type: integer
        title:
          maxLength: 200
          minLength: 1
          type: string
        type:
          minLength: 1
          type: string
      required:
        - type
        - title
        - status
        - detail
        - instance
        - code
        - requestId
      type:
        - object
        - 'null'
    Presale:
      properties:
        allocationsBps:
          properties:
            burn:
              maximum: 10000
              minimum: 0
              type: integer
            pool:
              maximum: 10000
              minimum: 0
              type: integer
            sale:
              maximum: 10000
              minimum: 0
              type: integer
          required:
            - sale
            - pool
            - burn
          type: object
        createdAt:
          format: date-time
          type: string
        creatorCommitmentLamports:
          example: '1000000000'
          pattern: ^(?:0|[1-9][0-9]*)$
          type: string
        deadline:
          format: date-time
          type: string
        id:
          format: uuid
          type: string
        maxCapLamports:
          example: '1000000000'
          pattern: ^(?:0|[1-9][0-9]*)$
          type: string
        minCapLamports:
          example: '1000000000'
          pattern: ^(?:0|[1-9][0-9]*)$
          type: string
        mintAddress:
          example: '11111111111111111111111111111111'
          pattern: ^[1-9A-HJ-NP-Za-km-z]{32,44}$
          type: string
        participantCount:
          minimum: 0
          type: integer
        perWalletCapLamports:
          example: '1000000000'
          pattern: ^(?:0|[1-9][0-9]*)$
          type: string
        publicStartAt:
          format: date-time
          type: string
        status:
          enum:
            - draft
            - initializing
            - active
            - settling
            - settled
            - refunding
            - failed
          type: string
        totalDepositedLamports:
          example: '1000000000'
          pattern: ^(?:0|[1-9][0-9]*)$
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - id
        - mintAddress
        - status
        - minCapLamports
        - maxCapLamports
        - perWalletCapLamports
        - creatorCommitmentLamports
        - totalDepositedLamports
        - participantCount
        - publicStartAt
        - deadline
        - allocationsBps
        - createdAt
        - updatedAt
      type: object
    CursorPage:
      properties:
        hasMore:
          type: boolean
        nextCursor:
          example: eyJ2IjoxLCJzb3J0IjpbIjIwMjYtMDgtMDlUMDA6MDA6MDBaIl19
          maxLength: 2048
          minLength: 16
          pattern: ^[A-Za-z0-9_-]+$
          type:
            - string
            - 'null'
      required:
        - nextCursor
        - hasMore
      type: object
    ProblemCause:
      properties:
        code:
          enum:
            - invalid_api_key
            - insufficient_scope
            - not_found
            - method_not_allowed
            - precondition_required
            - precondition_invalid
            - validation_failed
            - malformed_json
            - unsupported_content_type
            - request_body_too_large
            - idempotency_key_invalid
            - idempotency_key_reused
            - idempotency_request_in_progress
            - precondition_failed
            - cursor_invalid
            - rate_limit_exceeded
            - rate_limit_unavailable
            - api_dependency_unavailable
            - internal_error
            - invalid_error_response
            - token_not_found
            - holder_stats_not_found
            - market_time_range_invalid
            - token_index_unavailable
            - market_data_unavailable
            - identity_unavailable
            - staking_pool_not_found
            - presale_not_found
            - presale_participation_not_found
            - manifest_unavailable
            - prediction_wallet_mismatch
            - prediction_authorization_invalid
            - prediction_intent_not_found
            - prediction_round_not_found
            - prediction_not_found
            - prediction_token_not_enabled
            - prediction_round_not_open
            - prediction_wallet_not_verified
            - prediction_username_required
            - prediction_insufficient_balance
            - prediction_already_submitted
            - prediction_intent_expired
            - prediction_intent_consumed
            - prediction_exact_values_locked
            - prediction_price_out_of_range
            - prediction_balance_unavailable
            - operation_not_found
            - transaction_intent_not_found
            - transaction_intent_not_prepared
            - transaction_intent_expired
            - transaction_intent_version_conflict
            - transaction_intent_tampered
            - transaction_intent_wrong_signer
            - transaction_intent_invalid_signature
            - webhook_endpoint_not_found
            - webhook_delivery_not_found
            - webhook_delivery_not_replayable
            - webhook_endpoint_limit_reached
            - webhook_delivery_replay_limit_reached
            - webhook_url_disallowed
          type: string
        context:
          additionalProperties:
            oneOf:
              - maxLength: 1024
                type: string
              - type: number
              - type: boolean
              - type: 'null'
          type: object
        detail:
          maxLength: 2000
          minLength: 1
          type: string
        title:
          maxLength: 200
          minLength: 1
          type: string
      required:
        - code
        - title
        - detail
      type: object
    ProblemFieldError:
      properties:
        code:
          pattern: ^[a-z][a-z0-9_]*$
          type: string
        message:
          maxLength: 1024
          minLength: 1
          type: string
        path:
          maxLength: 512
          minLength: 1
          type: string
      required:
        - path
        - code
        - message
      type: object

````